<?php
namespace Controller;

use Zeedhi\DevOps\Util\Utilities;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\DevOps\Util\Environment;

class Repository extends \Generated\Controller\Repository {

    protected $repositoryService;
    private $environment;

    public function __construct(Manager $dataSourceManager, \Service\Repository $repositoryService, Environment $environment){
        $this->repositoryService = $repositoryService;
        $this->environment = $environment;
        parent::__construct($dataSourceManager);
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response){
        $request->getFilterCriteria()->addCondition("ORGANIZATION", "=", $this->environment->getCurrentOrganizationId());
        parent::find($request, $response);
    }

    public function save(DTO\Request $request, DTO\Response $response, $showMessage = true) {
        $dataSet     = $request->getDataSet();
        $showMessage = Utilities::verifyShowMessage($dataSet);
        parent::save($request, $response, $showMessage);
    }


    public function delete(DTO\Request $request, DTO\Response $response, $showMessage = true){
        /** @var DTO\Request\Row  $request */
        $dataSet = $request->getRow();
        $repositoryId = $dataSet["ID"];
        $this->repositoryService->delete($repositoryId);

    }
}

