<?php
namespace Controller;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\DevOps\Util\Environment;
;

class SubreleaseProductFiles extends \Generated\Controller\SubreleaseProductFiles {

    private $environment;

    public function __construct(Manager $dataSourceManager, Environment $environment) {
        parent::__construct($dataSourceManager);
        $this->environment = $environment;
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response){
        $request->getFilterCriteria()->addCondition("ORGANIZATION_ID", "=", $this->environment->getCurrentOrganizationId());
        parent::find($request, $response);
    }

    public function save(DTO\Request $request, DTO\Response $response, $showMessage = true) {
        $dataSet     = $request->getDataSet();
		$showMessage = $this->verifyShowMessage($dataSet);
       	parent::save($request, $response, $showMessage);
    }

    private function verifyShowMessage($dataSet) {    	
		$showMessage = true;

        foreach ($dataSet->getRows() as $row) {
        	if(isset($row['isMessage']) && $row['isMessage'] === false) {
        		$showMessage = false;
        		break;
        	}
        }

        return $showMessage;
    }	
}